# Class text

- Defined in File node.hpp

## Inheritance Relationships

### Base Type

- `public zeem::node_with_text` (Class node_with_text)

## Class Documentation

class text : public zeem::node_with_text

  A node containing text.

  Public Functions

  inline virtual node_type type() const override

    node_type to be returned by each implementation of this node class

  inline explicit text(std::string text = {})

    default constructor

  text(const text &t) = default

    copy constructor

  text(text &&t) noexcept = default

    move constructor

  inline text &operator=(text txt) noexcept

    assignment operator

  inline void append(std::string_view text)

    append text to the stored text

  virtual bool equals(const node *n) const override

    compare nodes for equality

  bool is_space() const

    returns true if this text contains only whitespace characters